package com.lukouguoji.module_base.bean

import androidx.databinding.ObservableArrayList
import androidx.databinding.ObservableBoolean

class GjjTallyAddBean(
    var handoverRecordBean: GjjHandoverRecordBean
) {

    val show = ObservableBoolean(false)

    // 件号列表
    var jianList: ObservableArrayList<JianBean> = ObservableArrayList<JianBean>()

    fun addJian(code: String) {
        if (jianList.find { b -> b.code == JianBean.getCode(code) } == null) {
            jianList.add(JianBean.create(code))
        }
    }
}